diff -urN gcc-15.1.0-orig/gcc/ChangeLog-2012 gcc-15.1.0/gcc/ChangeLog-2012
--- gcc-15.1.0-orig/gcc/ChangeLog-2012	2025-04-25 17:17:59 +0900
+++ gcc-15.1.0/gcc/ChangeLog-2012	2025-04-28 11:02:50 +0900
@@ -34611,6 +34611,13 @@
 	(ELIMINABLE_REGS): Eliminate from the soft frame pointer,
 	remove the HARD_FRAME_POINTER self-elimination.
 
+2012-02-02  Andrew Church  <achurch@achurch.org>
+
+	* c-family/c-opts.c (case OPT_I): Undeprecate -I- support.
+	* doc/invoke.texi: Likewise.
+	* doc/cpp.texi: Likewise.
+	* doc/cppopts.texi: Likewise.
+
 2012-01-12  Georg-Johann Lay  <avr@gjlay.de>
 
 	PR target/51756
diff -urN gcc-15.1.0-orig/gcc/c-family/c-opts.cc gcc-15.1.0/gcc/c-family/c-opts.cc
--- gcc-15.1.0-orig/gcc/c-family/c-opts.cc	2025-04-25 17:18:00 +0900
+++ gcc-15.1.0/gcc/c-family/c-opts.cc	2025-04-28 11:02:50 +0900
@@ -348,8 +348,6 @@
 	    error ("%<-I-%> specified twice");
 	  quote_chain_split = true;
 	  split_quote_chain ();
-	  inform (input_location, "obsolete option %<-I-%> used, "
-		  "please use %<-iquote%> instead");
 	}
       break;
 
diff -urN gcc-15.1.0-orig/gcc/doc/cpp.1 gcc-15.1.0/gcc/doc/cpp.1
--- gcc-15.1.0-orig/gcc/doc/cpp.1	2025-04-25 17:25:54 +0900
+++ gcc-15.1.0/gcc/doc/cpp.1	2025-04-28 11:02:50 +0900
@@ -741,9 +741,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-15.1.0-orig/gcc/doc/cpp.info gcc-15.1.0/gcc/doc/cpp.info
--- gcc-15.1.0-orig/gcc/doc/cpp.info	2025-04-25 17:42:50 +0900
+++ gcc-15.1.0/gcc/doc/cpp.info	2025-04-28 11:02:50 +0900
@@ -4748,9 +4748,7 @@
      System Headers::.
 
 '-I-'
-     Split the include path.  This option has been deprecated.  Please
-     use '-iquote' instead for '-I' directories before the '-I-' and
-     remove the '-I-' option.
+     Split the include path.
 
      Any directories specified with '-I' options before '-I-' are
      searched only for headers requested with '#include "FILE"'; they
diff -urN gcc-15.1.0-orig/gcc/doc/cppdiropts.texi gcc-15.1.0/gcc/doc/cppdiropts.texi
--- gcc-15.1.0-orig/gcc/doc/cppdiropts.texi	2025-04-25 17:18:00 +0900
+++ gcc-15.1.0/gcc/doc/cppdiropts.texi	2025-04-28 11:02:50 +0900
@@ -93,9 +93,6 @@
 @opindex I-
 @item -I-
 Split the include path.
-This option has been deprecated.  Please use @option{-iquote} instead for
-@option{-I} directories before the @option{-I-} and remove the @option{-I-}
-option.
 
 Any directories specified with @option{-I}
 options before @option{-I-} are searched only for headers requested with
diff -urN gcc-15.1.0-orig/gcc/doc/g++.1 gcc-15.1.0/gcc/doc/g++.1
--- gcc-15.1.0-orig/gcc/doc/g++.1	2025-04-25 17:42:51 +0900
+++ gcc-15.1.0/gcc/doc/g++.1	2025-04-28 11:02:50 +0900
@@ -18826,9 +18826,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-15.1.0-orig/gcc/doc/gcc.1 gcc-15.1.0/gcc/doc/gcc.1
--- gcc-15.1.0-orig/gcc/doc/gcc.1	2025-04-25 17:42:51 +0900
+++ gcc-15.1.0/gcc/doc/gcc.1	2025-04-28 11:02:50 +0900
@@ -18826,9 +18826,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-15.1.0-orig/gcc/doc/gcc.info gcc-15.1.0/gcc/doc/gcc.info
--- gcc-15.1.0-orig/gcc/doc/gcc.info	2025-04-25 17:43:00 +0900
+++ gcc-15.1.0/gcc/doc/gcc.info	2025-04-28 11:02:50 +0900
@@ -18378,9 +18378,7 @@
      directories, use the '-nostdinc' and/or '-isystem' options.
 
 '-I-'
-     Split the include path.  This option has been deprecated.  Please
-     use '-iquote' instead for '-I' directories before the '-I-' and
-     remove the '-I-' option.
+     Split the include path.
 
      Any directories specified with '-I' options before '-I-' are
      searched only for headers requested with '#include "FILE"'; they
